<?php
/* WPBakery Page Builder Extensions Bundle support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('cityhostel_vc_extensions_theme_setup9')) {
	add_action( 'after_setup_theme', 'cityhostel_vc_extensions_theme_setup9', 9 );
	function cityhostel_vc_extensions_theme_setup9() {
		if (cityhostel_exists_visual_composer()) {
			add_action( 'wp_enqueue_scripts', 								'cityhostel_vc_extensions_frontend_scripts', 1100 );
			add_filter( 'cityhostel_filter_merge_styles',						'cityhostel_vc_extensions_merge_styles' );
		}
	
		if (is_admin()) {
			add_filter( 'cityhostel_filter_tgmpa_required_plugins',		'cityhostel_vc_extensions_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'cityhostel_vc_extensions_tgmpa_required_plugins' ) ) {
	function cityhostel_vc_extensions_tgmpa_required_plugins($list=array()) {
		if (in_array('vc-extensions-bundle', cityhostel_storage_get('required_plugins'))) {
			$path = cityhostel_get_file_dir('plugins/vc-extensions-bundle/vc-extensions-bundle.zip');
			$list[] = array(
					'name' 		=> esc_html__('WPBakery Page Builder Extensions Bundle', 'cityhostel'),
					'slug' 		=> 'vc-extensions-bundle',
					'source'	=> !empty($path) ? $path : 'upload://vc-extensions-bundle.zip',
					'required' 	=> false
			);
		}
		return $list;
	}
}

// Check if VC Extensions installed and activated
if ( !function_exists( 'cityhostel_exists_vc_extensions' ) ) {
	function cityhostel_exists_vc_extensions() {
		return class_exists('Vc_Manager') && class_exists('VC_Extensions_CQBundle');
	}
}
	
// Enqueue VC custom styles
if ( !function_exists( 'cityhostel_vc_extensions_frontend_scripts' ) ) {
	function cityhostel_vc_extensions_frontend_scripts() {
		if (cityhostel_is_on(cityhostel_get_theme_option('debug_mode')) && cityhostel_get_file_dir('plugins/vc-extensions-bundle/vc-extensions-bundle.css')!='')
			wp_enqueue_style( 'cityhostel-vc-extensions-bundle',  cityhostel_get_file_url('plugins/vc-extensions-bundle/vc-extensions-bundle.css'), array(), null );
	}
}
	
// Merge custom styles
if ( !function_exists( 'cityhostel_vc_extensions_merge_styles' ) ) {
	function cityhostel_vc_extensions_merge_styles($list) {
		$list[] = 'plugins/vc-extensions-bundle/vc-extensions-bundle.css';
		return $list;
	}
}
?>